

require.config({
  baseUrl:  "../js/",
  paths: {
    jquery: "lib/jquery",
    underscore:  "lib/underscore",
    backbone:  "lib/backbone",
    "backbone.localStorage": "lib/backbone.localStorage",
    text:  "lib/text",
    sinon: "../test/lib/sinon",
    jasmine: "../test/lib/jasmine",
    "jasmine-html": "../test/lib/jasmine-html",
    models:  "models",
    collections: "collections",
    views: "views",
    templates: "templates"
  },

  shims: {

    underscore: {
      exports: "_"
    },

    backbone:  {
      deps:  ["jquery","underscore"],
      exports: "Backbone"
    },

    "backbone.localStorage": {
       deps: ["backbone"],
       exports: "Backbone"
    },

    sinon:  {
      exports: "sinon"
    },

    jasmine:  {
      exports: "jasmine"
    },

    "jasmine-html": {
       deps:  ["jasmine"],
       exports: "jasmine"
    }
  }
  
  
});


require(['jasmine','jasmine-html'],function() {});

require(['jquery','underscore'], function($,_){
    var jasmineEnv = jasmine.getEnv();
    jasmineEnv.updateInterval = 1000;

    var htmlReporter = new jasmine.HtmlReporter();

    jasmineEnv.addReporter(htmlReporter);

    jasmineEnv.specFilter = function(spec) {
      return htmlReporter.specFilter(spec);
    };

    $(function() {
      require(
        ["../test/spec/ConditionSpec",
        "../test/spec/ConditionsSpec",
        "../test/spec/ConditionViewSpec",
        "../test/spec/CharacterSpec",
        "../test/spec/CharactersSpec",
        "../test/spec/CombatSessionSpec",
        "../test/spec/CharacterViewSpec",
        "../test/spec/InitiativeViewSpec"
        ],
        function() {
          jasmineEnv.execute();
      });
    });

});
